#pragma once

#include "Map.h"
#include "Shader.h"

class	CWater{
protected:
	float		DeltaTime;
	static const float BiasMatrix[];
	static const char*	vp;
	static const char*	fp;
	CShader		Shader;
public:
	float		MtxProjectionReflect[16];
	float		MtxModelReflect[16];
	float		MtxProjectionRefract[16];
	float		MtxModelRefract[16];
	bool		Generate();
	void		Render( CMap& Refl, CMap& Refr, CMap& Norm );
	void		SetDelta( float dt );
	CWater(){
		DeltaTime = 0;
		Shader.TimeSpeed = 0.03f;
	}
	~CWater(){
		Shader.Unload();
	}
};
